Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members Related Pages

# aka2::entity_complements Class Reference

entity_complements to read/write simpletype values. More...

`#include <entity_complements.h>`

List of all members.

## Public Methods
prefix_map & | get_prefixes () const
template<class T> void | add_complement (const std::string &name, T &t)
template<class T> void | add_complement (const std::string &name, T &t, complement_operator *op)
bool | check_id (const std::string &value)
void | clear_all ()
void | reset_for_new_document ()

## Detailed Description

entity_complements to read/write simpletype values.

entity_complements class are created by deserializer.
Created instances are pased to aka2::simpletype<> methods to give entity_complements to serialize/deserialize simpletype values during deserialization.
This class will be exteded when we need other entity_complements for simpletypes.
Currently namespace prefix/URI asociation map is obtained.

See also:
  Simple Types

Definition at line 82 of file entity_complements.h.

## Member Function Documentation

template<class T>
void aka2::entity_complements::add_complement | ( | const std::string & | name,
|  | T & | t,
|  | complement_operator * | op
| ) | `[inline]`

  | add complement. Parameters:
  name | complement name.
  t | instance of complement.
  op | instance of complement_operator-derived class.
Definition at line 113 of file entity_complements.h.

template<class T>
void aka2::entity_complements::add_complement | ( | const std::string & | name,
|  | T & | t
| ) | `[inline]`

  | add complement. Parameters:
  name | complement name.
  t | instance of complement.
Definition at line 102 of file entity_complements.h.

bool aka2::entity_complements::check_id | ( | const std::string & | value | ) |

  | check string is unique. Check uniqueness of text value. Parameters:
  value | text value to check uniqueness.
Returns: true if xs:ID value is unique.

void aka2::entity_complements::clear_all | ( |  | ) |

| clear all entity_complement.

prefix_map& aka2::entity_complements::get_prefixes | ( |  | ) | const`[inline]`

| const version to get prefix and namespace URI asociation map. Returns: get reference to current prefix_map. Definition at line 94 of file entity_complements.h.

void aka2::entity_complements::reset_for_new_document | ( |  | ) |

| reset entity_complements before serialization/deserialization.

The documentation for this class was generated from the following file:

- entity_complements.h